Skip to main content
GET
/
v1
/
accounts
List accounts
curl --request GET \
  --url https://api.example.com/v1/accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "country": "SN",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "hasMore": true,
  "nextCursor": "eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
  "object": "account.list"
}
{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}
{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Query Parameters

cursor
string

Opaque cursor returned by the previous page

limit
number
default:50

Number of items per page

Required range: 1 <= x <= 200
parent
string

Filter to children of an account id, or 'me' for the caller's direct children.

Example:

"me"

status
enum<string>
Available options:
pending,
active,
suspended,
closed

Response

data
object[]
required
hasMore
boolean
required

Whether more items exist after this page

Example:

true

nextCursor
string | null
required

Opaque cursor for the next page, or null when there are no more items

Example:

"eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

object
enum<string>
required

Stable resource-specific collection discriminator

Available options:
account.list
Pattern: ^[a-z][a-z0-9_]*\.list$
Example:

"account.list"